Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatStatisticsInteractionInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatStatisticsInteractionInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatStatisticsInteractionInfo extends TdApi.Object
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`forwardCount`
Number of times the object was forwarded.
`TdApi.ChatStatisticsObjectType`
`objectType`
Type of the object.
`int`
`reactionCount`
Number of times reactions were added to the object.
`int`
`viewCount`
Number of times the object was viewed.

## Constructor Summary

Constructors
Constructor
Description
`ChatStatisticsInteractionInfo()`
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.
`ChatStatisticsInteractionInfo(TdApi.ChatStatisticsObjectType objectType, int viewCount, int forwardCount, int reactionCount)`
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.
`ChatStatisticsInteractionInfo(DataInput input)`
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### objectType

public TdApi.ChatStatisticsObjectType objectType
Type of the object.

### viewCount

public int viewCount
Number of times the object was viewed.

### forwardCount

public int forwardCount
Number of times the object was forwarded.

### reactionCount

public int reactionCount
Number of times reactions were added to the object.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatStatisticsInteractionInfo

public ChatStatisticsInteractionInfo()
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.

### ChatStatisticsInteractionInfo

public ChatStatisticsInteractionInfo(TdApi.ChatStatisticsObjectType objectType, int viewCount, int forwardCount, int reactionCount)
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.

Parameters:
  `objectType` - Type of the object.
  `viewCount` - Number of times the object was viewed.
  `forwardCount` - Number of times the object was forwarded.
  `reactionCount` - Number of times reactions were added to the object.

### ChatStatisticsInteractionInfo

public ChatStatisticsInteractionInfo(DataInput input) throws IOException
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`